Problems Installing the latest Cloth Segmentation opencv in OSX

Asked By 30 points N/A Posted on -
qa-featured

I recently installed cloth segmentation opencv 2.4.2 in python 2.7.1. and everything worked fine.

However, when I upgraded to 2.7.3 python, and tried to import the opencv, an error pops up saying that there is no module that is called cv.

Does anybody know what's the issue here?

SHARE
Best Answer by Margarete Burch
Answered By 0 points N/A #134252

Problems Installing the latest Cloth Segmentation opencv in OSX

qa-featured

Try and locate the folders for opencv which are normally installed in /usr/local/lib/python2.6/site-packages.

If it is not at the appropriate location then this might be the issue.

Another way to fix this is to use the following commands

sudo port uninstall opencv sudo port install numpy sudo port install opencv +python27

All the best.

Best Answer
Best Answer
Answered By 0 points N/A #134253

Problems Installing the latest Cloth Segmentation opencv in OSX

qa-featured

The module folder of python is /usr/local/lib/pythonX.Y/site-packages.

You should check if your opencv is still there.

But generally, it's highly recommended that you re-install the opencv.

Because an upgrade of python may cause certain changes in parameters or configuration files, or file folder names, and your opencv could not automatically adapt to the change.

So please re-install the module.

Login/Register to Answer

Related Questions